code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash /usr/sbin/sshd -D & bash /usr/local/bin/wrapdocker
orius123/dind-ssh
start_sshd.sh
Shell
apache-2.0
68
# ----------------------------------------------------------------------------- # # Package : sorted-object # Version : 2.0.1 # Source repo : https://github.com/domenic/sorted-object # Tested on : RHEL 8.3 # Script License: Apache License, Version 2 or later # Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com...
ppc64le/build-scripts
s/sorted-object/sorted-object_rhel_8.3.sh
Shell
apache-2.0
3,070
echo 'on' echo '=============================================================' echo '$ $' echo '$ Nepxion Thunder $' echo '$ $' echo '$ ...
Nepxion/Thunder
install.sh
Shell
apache-2.0
782
info "1.3 - Controller Manager" check_1_3_1="1.3.1 - Ensure that the --terminated-pod-gc-threshold argument is set as appropriate" if check_argument "$CIS_MANAGER_CMD" '--terminated-pod-gc-threshold' >/dev/null 2>&1; then threshold=$(get_argument_value "$CIS_MANAGER_CMD" '--terminated-pod-gc-threshold') pass ...
neuvector/kubernetes-cis-benchmark
1.0.0/master/master_3_contoller_manager.sh
Shell
apache-2.0
1,923
export JAVA_HOME=/usr/lib/jvm/java-8-oracle/
spennihana/h2o-3
docker/hadoop/hdp/conf/hadoop-env.sh
Shell
apache-2.0
45
#!/bin/bash QUERY=$(cat <<EOF { "query": { "bool": { "must": [ { "query_string": { "query": "*" } } ] } }, "aggs" : { "environment" : { "terms" : { "field" : "environment", "size":...
logsearch/logsearch-monitoring-prototype
component-api/GET-hierarchy-environment_cluster_host_service_event_source.sh
Shell
apache-2.0
1,320
#!/usr/bin/env bash echo "re-creating minikube then running the system test" APP="minikube" ${APP} delete sleep 5 gofabric8 start --open-console=false sleep 30 gofabric8 wait-for --all --timeout=60m ./systest-local.sh
fabric8io/fabric8-forge
systest-minikube.sh
Shell
apache-2.0
224
#!/bin/bash if [ -z ${SANDBOX_ENV_PATH} ]; then echo '[ERROR] SANDBOX_ENV_PATH is not defined' exit 1 else source ${SANDBOX_ENV_PATH%%/}/lib/build-libs.sh fi git_latest() { docker build -t "ownport/git:latest" \ --no-cache \ $(get_default_args) \ ${SANDBOX_ENV_PATH%%/}/dockerfiles/git ...
ownport/docker-env
sandbox/dockerfiles/git/build.sh
Shell
apache-2.0
326
#!/bin/bash this is \ bad continuation as it does not match 1st arg or %4 a \ bad indent if foo; then testing a \ bad indent, indented fi
openstack-dev/bashate
bashate/tests/samples/E003_bad.sh
Shell
apache-2.0
154
#!/bin/sh # # Make a temporary Apache instance for testing. if [ " $#" -eq 0 ]; then echo "Usage: $0 /path/to/instance" exit 1 fi target=$1 echo "Creating instance in $target" mkdir -p $target cd $target mkdir alias mkdir bin mkdir conf mkdir conf.d mkdir logs mkdir run mkdir content mkdir cgi-bin mkdir lib ...
shawnwhit/httpd_modnss
test/createinstance.sh
Shell
apache-2.0
1,527
#!/bin/bash print_help() { echo "Usage:" echo " rolling-upgrade.sh -p PARAMETERS_FILE" echo "" echo "Options:" echo " -p, --param-file: Path to the parameters file" } get_replicas_count() { local REPLICAS=$(oc get dc $1 -n $NAMESPACE -o yaml | grep -w availableReplicas: | sed -n 's/.*availabl...
JFrogDev/artifactory-docker-examples
openshift/artifactory/artifactory-ha-nfs/rolling-upgrade.sh
Shell
apache-2.0
2,177
#!/usr/bin/env bash # # Cookbook Name:: db_percona # # Copyright RightScale, Inc. All rights reserved. # All access and use subject to the RightScale Terms of Service available at # http://www.rightscale.com/terms.php and, if applicable, other agreements # such as a RightScale Master Subscription Agreement. CONFIG_FIL...
rs-services/cookbooks_internal
cookbooks/db_percona/files/default/setup_my_cnf.sh
Shell
apache-2.0
898
#!/bin/bash # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to in writing, software # distribute...
teamclairvoyant/hadoop-deployment-bash
api/install_startstop_cluster.sh
Shell
apache-2.0
4,103
#!/bin/bash # Copyright 2019 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
annarev/tensorflow
tensorflow/tools/ci_build/rel/ubuntu_cuda11_2/gpu_py37_pip.sh
Shell
apache-2.0
2,347
#!/bin/sh APPNAME="plcrtd" STRIP="none" #ppi" LINKTYPE="static" #allow-dynamic" BIN_DIR="bin" RC_FILE=${HOME}/.staticperlrc SP_FILE=${HOME}/staticperl BOOT_FILE="../src/main.pl" if [ -r ${RC_FILE} ]; then . ${RC_FILE} else echo "${RC_FILE}: not found" exit 1 fi [ -d ${BIN_DIR} ] || mkdir ${BIN_DIR} || exit 1 ${...
gh0stwizard/plcrtd
misc/static.sh
Shell
artistic-2.0
1,784
#!/usr/bin/env ./tester # include var include assert testcase_begin "$@" unset undefined defined='content' empty= test_var_is_set_succeeds_if_variable_is_defined() { assert that var_is_set defined returns 0 } test_var_is_set_fails_if_variable_is_undefined() { assert that var_is_set undefined returns 1 } test_var_no...
git-e/bash_include
test/test-var.sh
Shell
bsd-2-clause
4,204
#!/bin/bash OCAML_RELEASE=3.11 OCAML_VERSION=${OCAML_RELEASE}.2 OCAMLDIST=ocaml-${OCAML_VERSION} cat <<EOF This script will download, build, and install the following components: 1. OCaml version ${OCAML_VERSION} EOF echo "Getting OCaml ${OCAML_VERSION}..." if test -f ${OCAMLDIST}.tar.gz ; then echo " (already...
cartazio/tlaps
tools/installer/install-ocaml-3.11.2.sh
Shell
bsd-2-clause
1,254
#!/bin/bash conda install -y conda=4.0.6 conda-env remove -y -n pydata_exp3 conda create -y -n pydata_exp3 python=3.5.* conda install -c conda-forge -n pydata_exp3 -y \ 'bokeh=0.11' \ 'cartopy=0.14*' \ 'cython=0.23.*' \ 'dask=0.8*' \ 'fiona=1.6*' \ 'gdal=1.11*' \ 'ipython=4.2.*' \ 'i...
darribas/envs
pydata_exp3.sh
Shell
bsd-2-clause
1,882
#!/bin/bash rm *.so python setup.py build_ext --inplace export LD_LIBRARY_PATH="$HOME/usr/lib" python main.py
teoliphant/numpy-refactor
experiment/do.sh
Shell
bsd-3-clause
114
#!/bin/sh # https://docs.docker.com/engine/reference/builder/#exec-form-entrypoint-example trap "echo TRAPed signal" HUP INT QUIT TERM /4store/bin/4s-backend -D default & backend_pid=$(pidof 4s-backend) /4store/bin/4s-httpd -D default echo "killing backend" kill -TERM $backend_pid echo "exited"
jaredjennings/docker-4store
backend-and-httpd.sh
Shell
bsd-3-clause
301
#!/bin/bash # Raw motifs curl --output jaspar.zip 'http://jaspar.genereg.net/download/CORE/JASPAR2020_CORE_vertebrates_non-redundant_pfms_jaspar.zip' unzip jaspar.zip rm jaspar.zip cat *.jaspar | gzip -c > jaspar.gz rm *.jaspar # Clustered motifs curl --output JASPAR_2020_matrix_clustering_vertebrates_cluster_root_mo...
tobiasrausch/alfred
motif/downloadMotifs.sh
Shell
bsd-3-clause
666
#!/bin/bash # # before_install # cwd=$(pwd) wget -q https://www.aps.anl.gov/epics/download/base/baseR3.14.12.6.tar.gz \ -O /tmp/base.tar.gz tar xvf /tmp/base.tar.gz -C $HOME cd $HOME/base-3.14.12.6 make -j2 cd ${cwd}
archman/phantasy
ci/build_epics.sh
Shell
bsd-3-clause
223
#! /bin/csh foreach filename (`ls -d *.BHZ.sac`) #echo $filename |cut -d'.' -f2 | read station #echo $filename |cut -d'.' -f3 | read component set station = `echo $filename | awk '{split($0,a,"."); print a[1]}'` echo $station sac << sacend read $station.BHE.sac rmean transfer from polezero s ../../zp/${station}.BHE.z...
qingkaikong/useful_script
Shell/01_use_SAC_in_shell.sh
Shell
bsd-3-clause
697
#!/bin/bash # Created by the VLSCI job script generator for SLURM on x86 # Thu Oct 17 2013 16:48:06 GMT+1100 (EST) # Partition for the job: #SBATCH -p main # The name of the job: #SBATCH --job-name="illum" # Maximum number of CPU cores used by the job: #SBATCH --ntasks=1 # The amount of memory in megabytes per proc...
jni/vlsci-jobs
husc-illum.sh
Shell
bsd-3-clause
765
#!/usr/bin/env bash # Copyright Contributors to the Open Shading Language project. # SPDX-License-Identifier: BSD-3-Clause # https://github.com/AcademySoftwareFoundation/OpenShadingLanguage set -ex #dpkg --list sudo add-apt-repository ppa:ubuntu-toolchain-r/test time sudo apt-get update time sudo apt-get -q insta...
imageworks/OpenShadingLanguage
src/build-scripts/gh-installdeps.bash
Shell
bsd-3-clause
2,533
# # NON-COARRAY # export SWALS_SRC='../../../src' source ${SWALS_SRC}/test_run_commands # Clean existing binary rm ./model rm -r ./OUTPUTS # Build the code make -B -f make_model > build_outfile.log # Run the code eval "$OMP_RUN_COMMAND ./model '' > outfile.log" # Plot and report tests Rscript plot_results.R
GeoscienceAustralia/ptha
propagation/SWALS/examples/nthmp/Submerged_Island_Lab/run_model.sh
Shell
bsd-3-clause
311
#!/usr/bin/env bash # Install composer dependencies composer install mysql -e 'CREATE DATABASE IF NOT EXISTS test;' cp tests/app/config/db.mysql.php.dist tests/app/config/db.php php tests/app/yii migrate --interactive=0 php tests/app/yii fixture/load * --interactive=0
yiisolutions/yii2-user-module
ci-scripts/before_script.sh
Shell
bsd-3-clause
273
########### # How to use docker.sh # $ export AUTO_TEST=true # false will prompt you to a shell inside the container # $ export DOCKER_IMAGE="hadim/py3-env" # or hadim/py2-env # $ export BRANCH="master" # branch to build ########### # If AUTO_TEST=true then scikit-tracker will be automatic # If AUTO_TEST=false you ...
bnoi/scikit-tracker
docker.sh
Shell
bsd-3-clause
1,442
#!/bin/sh # # Script to write BTOR from Verilog design # if [ "$#" -ne 3 ]; then echo "Usage: $0 input.v output.btor top-module-name" >&2 exit 1 fi if ! [ -e "$1" ]; then echo "$1 not found" >&2 exit 1 fi FULL_PATH=$(readlink -f $1) DIR=$(dirname $FULL_PATH) ./yosys -q -p " read_verilog -sv $1; hierarchy -t...
swallat/yosys
backends/btor/verilog2btor.sh
Shell
isc
596
#!/bin/bash FN="PCHiCdata_1.12.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.9/data/experiment/src/contrib/PCHiCdata_1.12.0.tar.gz" "https://bioarchive.galaxyproject.org/PCHiCdata_1.12.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-pchicdata/bioconductor-pchicdata_1.12.0_src_all.tar.gz" ...
jfallmann/bioconda-recipes
recipes/bioconductor-pchicdata/post-link.sh
Shell
mit
1,409
#!/usr/bin/env bash protoc --go_out=plugins=grpc:. keyvalue/keyvalue.proto
agtorre/go-cookbook
chapter7/grpcjson/grpc.sh
Shell
mit
75
#!/usr/bin/env bash # # Copyright (c) 2018 The Bitcoin Core developers # Distributed under the MIT software license, see the accompanying # file COPYING or http://www.opensource.org/licenses/mit-license.php. export LC_ALL=C.UTF-8 cd "build/pivx-$HOST" || (echo "could not enter distdir build/pivx-$HOST"; exit 1) if [...
Mrs-X/Darknet
.travis/test_06_script_b.sh
Shell
mit
766
#!/bin/bash export BEAVER_MODE=connect ## Individual files to send #export BEAVER_FILES=/var/log/syslog ## Send all files under path #export BEAVER_PATH=/var/log ## Redis #export BEAVER_TRANSPORT=redis #export REDIS_NAMESPACE='logstash' #export REDIS_URL='redis://redis:6379/0' ## ZeroMQ #export ZEROMQ_ADDRESS='tcp...
Appdynamics/beaver
contrib/beaver-bash.sh
Shell
mit
929
brew install the_silver_searcher
redhotvengeance/dotfiles
ag/install.sh
Shell
mit
33
#!/usr/bin/env bash echo "Installing System Tools..." echo " Update package..." sudo apt-get update -y >/dev/null 2>&1 echo " Upgrade package..." sudo apt-get upgrade -y >/dev/null 2>&1 echo " Install curl..." sudo apt-get install -y curl >/dev/null 2>&1 echo " Install unzip..." sudo apt-get install -y u...
elendrim/qeo-vm
provision.sh
Shell
mit
6,348
#!/bin/bash FN="pd.aragene.1.0.st_3.12.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.11/data/annotation/src/contrib/pd.aragene.1.0.st_3.12.0.tar.gz" "https://bioarchive.galaxyproject.org/pd.aragene.1.0.st_3.12.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-pd.aragene.1.0.st/bioconductor-...
roryk/recipes
recipes/bioconductor-pd.aragene.1.0.st/post-link.sh
Shell
mit
1,466
#!/bin/sh # Copyright (c) 2014-2015 The Bitcoin Core developers # Distributed under the MIT software license, see the accompanying # file COPYING or http://www.opensource.org/licenses/mit-license.php. set -e ROOTDIR=dist BUNDLE="${ROOTDIR}/Goldcoin-Qt.app" CODESIGN=codesign TEMPDIR=sign.temp TEMPLIST=${TEMPDIR}/signa...
goldcoin/Goldcoin-GLD
contrib/macdeploy/detached-sig-create.sh
Shell
mit
1,526
#sudo apt-get update sudo apt-get install nodejs octave octave-audio octave-control octave-general octave-signal sox vorbis-tools mplayer qarecord ffmpeg mkdir data tmp mkdir data/classifiers data/database data/dataset data/processed_records data/stream data/training cp Nothing/* data/classifiers cp Nothing/Nothing...
ResEnv/TidmarShazam
install.sh
Shell
mit
373
#!/bin/bash set -eo pipefail # if command starts with an option, prepend mysqld if [ "${1:0:1}" = '-' ]; then set -- mysqld "$@" fi if [ "$1" = 'mysqld' ]; then # Get config DATADIR="$("$@" --verbose --help --log-bin-index=`mktemp -u` 2>/dev/null | awk '$1 == "datadir" { print $2; exit }')" if [ ! -d "$DATADIR/m...
dprasanthv/DockerFiles
mariadb/docker-entrypoint.sh
Shell
mit
3,041
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2010-2017 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
fasterthanlime/tup-fuseless
test/t5071-touch-rm-output.sh
Shell
gpl-2.0
1,057
#!/bin/sh TEST_PURPOSE=regress TEST_PROB_REPORT=0 TEST_TYPE=umlplutotest TESTNAME=ikev2-06-6msg EASTHOST=east WESTHOST=west WEST_ARPREPLY=1 EAST_INPUT=../../klips/inputs/01-sunrise-sunset-ping.pcap REF_WEST_OUTPUT=../../klips/west-icmp-01/spi1-cleartext.txt REF_WEST_FILTER="no-arp-pcap2.pl" WEST_ARPREPLY=true #T...
qianguozheng/Openswan
testing/pluto/ikev2-06-6msg/testparams.sh
Shell
gpl-2.0
1,255
#!/bin/sh set -exu zypper --non-interactive install lttng-modules-kmp-default lttng-tools babeltrace
PSRCode/lttng-ci-1
scripts/packaging/sles12/install-lttng-packages.sh
Shell
gpl-2.0
104
#!/bin/sh # Copyright (C) 2013 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public Licens...
shehbazj/DyRe
test/shell/lvchange-thin.sh
Shell
gpl-2.0
2,911
#!/bin/bash if [ $# -eq 2 ] then if [ $1 = "rootpath" ] then find $2 -name "halconf.h" -exec bash update_halconf.sh "{}" \; else echo "Usage: update_halconf.sh [rootpath <path>]" fi elif [ $# -eq 1 ] then declare conffile=$(<$1) # if egrep -q "" <<< "$conffile" # then echo Processing: $1 e...
serdzz/ChibiOS
tools/updater/update_halconf.sh
Shell
gpl-3.0
708
# run.sh : code_swarm launching script # need the config file as first parameter params=$@ default_config="data/sample.config" code_swarm_jar="dist/code_swarm.jar" # command line parameters basic check if [ $# = 0 ]; then # asking user for a config file echo "code_swarm project !" echo -n "Specify a confi...
artzub/code_swarm-gource-my-conf
tools/codeswarm/run.sh
Shell
gpl-3.0
1,970
#!/bin/sh # requires resttest (https://github.com/lightblue-platform/pyresttest) and argparse module if [ "x$1" == "x" ]; then echo "Must specify base URL as first command line argument." exit 1 fi # Global: INTERACTIVE="False" LOGGING_LEVEL="debug" if [ "x$2" != "x" ]; then LOGGING_LEVEL=$2 fi export EN...
derek63/lightblue-tests
functional/all.sh
Shell
gpl-3.0
824
#!/bin/bash set -e SCRIPT=$(readlink -f "$0") EXEPATH=$(dirname "$SCRIPT") ./dev_test.elf $*
joseluisquiroga/parallella-baby-steps
jlq-test-22ok/run.sh
Shell
gpl-3.0
96
#!/bin/sh outputfile="profile.pstats" path="profile_data/" prefix="profile_" extension=".pstats" if [ -z $1 ] then filename="`date +%s`" else filename=$1 fi save=$path$prefix$filename$extension echo "Saved $outputfile to $save" cp $outputfile $save
slipperyhank/pyphi
profiling/saveprofile.sh
Shell
gpl-3.0
258
docker exec -it --user=solr composepulsecrawler_crawl_state_solr_1 bin/solr create_core -c crawl_state
anjackson/wren
compose-pulse-crawler/create_solr_core.sh
Shell
agpl-3.0
103
#!/bin/sh # # Run this before configure # # This file blatantly ripped off from subversion. # # Note: this dependency on Perl is fine: only developers use autogen.sh # and we can state that dev people need Perl on their machine # # TODO: make sure that ac_pkg_swig.m4 gets installed in m4 directory ... rm -f aut...
lagleki/jorne
autogen.sh
Shell
lgpl-2.1
2,142
#!/bin/bash export PYWIGNER=`pwd` cd && git clone https://github.com/dynamiq-md/dynamiq_engine cd dynamiq_engine && python setup.py install cd && git clone https://github.com/dynamiq-md/dynamiq_samplers cd dynamiq_samplers && python setup.py install cd $PYWIGNER $PYTHON setup.py install
dynamiq-md/pyWigner
devtools/conda-recipe/build.sh
Shell
lgpl-2.1
290
#!/usr/bin/env sh ## Test case header - START # Get directory path of current test case CWD="$(dirname $(readlink -f "$0"))" # Get test case name TEST_CASE="$( basename ${CWD} | tr '[:lower:]' '[:upper:]' )" # Get ESCAPE command ESCAPE="$( readlink -f ${CWD}/../../escape.py )" if which time >> /dev/null; then RUN_...
hsnlab/escape
test/case45/run.sh
Shell
apache-2.0
1,315
#!/bin/bash -eux apt-get -y purge libx11-data xauth libxmuu1 libxcb1 libx11-6 libxext6 apt-get -y purge ppp pppconfig pppoeconf apt-get -y purge popularity-contest apt-get -y clean rm -rf VBoxGuestAdditions_*.iso VBoxGuestAdditions_*.iso.?
maxf-/packer
scripts/ubuntu/cleanup.sh
Shell
apache-2.0
241
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # http://oneinstack.com # https://github.com/lj2007331/oneinstack Install_MySQL-5-5() { cd $oneinstack_dir/src src_url=http://cd...
sdlyhu/oneinstack
include/mysql-5.5.sh
Shell
apache-2.0
6,826
echo "# thread,first time,second time,third time," > fio.csv for i in `seq 1 7` do echo -n "${i}," >> fio.csv for j in `seq 1 3` do sleep 1 sudo /home/kamiya/hpcs/aries/tool/init_fio.exe > /dev/null (/usr/bin/time -f "%e" sudo /home/kamiya/hpcs/aries/aries_fio_batch.exe 10000 $i) 2>&1 | tr "\n" "," ...
kmikmy/p-wal
script/trash/bench_fio_batch_10000.sh
Shell
apache-2.0
370
#!/bin/sh docker-compose -f dev.yml $@
raptorbox/raptor
scripts/dev.sh
Shell
apache-2.0
40
#!/bin/bash # Smooths upgrades/roll-backs where the release of kubernetes jumps a release # It kills old controllers so that this one takes over all api functions, so we don't get an # extended period of old and new running side-by-side and the incompatibilities that this can bring. # It also removes any mutating and ...
kubernetes-incubator/kube-aws
builtin/files/plugins/upgrade-helper/assets/upgrade-helper-pre.sh
Shell
apache-2.0
6,468
#!/bin/sh export CUDA_SDK_PATH=$HOME/NVIDIA_GPU_Computing_SDK export CUDA_INSTALL_PATH=/pkgs_local/cuda-4.2/ export PYTHON_INCLUDE_PATH=/usr/include/python2.7/ export NUMPY_INCLUDE_PATH=/usr/include/python2.7/numpy/ #export ATLAS_LIB_PATH=/usr/lib/atlas-base/atlas make $*
hqxu/deepnet
cudamat_conv/build.sh
Shell
bsd-3-clause
275
#!/bin/bash set -e set +x owner=$USER phpversionname="$1" echo "Preparing PHP-FPM" # The php-fpm conf file file="/home/${owner}/.phpenv/versions/${phpversionname}/etc/php-fpm.conf" cp /home/${owner}/.phpenv/versions/${phpversionname}/etc/php-fpm.conf.default /home/${owner}/.phpenv/versions/${phpversionname}/etc/php...
nwsw/Elkarte
tests/travis-ci/travis-fpm.sh
Shell
bsd-3-clause
1,237
#!/bin/bash FN="diggitdata_1.16.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.9/data/experiment/src/contrib/diggitdata_1.16.0.tar.gz" "https://bioarchive.galaxyproject.org/diggitdata_1.16.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-diggitdata/bioconductor-diggitdata_1.16.0_src_all.tar...
zachcp/bioconda-recipes
recipes/bioconductor-diggitdata/post-link.sh
Shell
mit
1,301
#!/bin/bash # Run the container for testing. docker run --name jenkins-for-testing \ -v "$(pwd)/jobs":/var/jenkins_home/jobs \ -d \ -p 8080:8080 \ -p 50000:50000 \ --env JENKINS_SLAVE_AGENT_PORT=50000 \ --env JENKINS_OPTS=--httpPort=8080 \ --hostname jenkins-for-test \ jenkins-with-plugins # # --net bri...
aerogear/java-client-api
jenkins-client-it-docker/start-docker.sh
Shell
mit
337
#!/bin/bash # helper script to run bwdb and/or restart it # execute thie script and then simply tail /tmp/bwdb-out # e.g. ./contrib/restart_bwdb.sh && tail -f /tmp/bwdb-out DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" pkill -2 -x bwdb wait exec $DIR/../bin/bwdb --regtest >> /tmp/bwdb-out 2>&1 &
bitpay/bwdb
contrib/restart_bwdb.sh
Shell
mit
311
#! /usr/bin/env bash # # Copyright (C) 2013-2015 Zhang Rui <bbcallen@gmail.com> # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless ...
techery/ijkplayer
init-ios-openssl.sh
Shell
gpl-2.0
1,257
#!/bin/sh #---------------------------------------------------------------- # This script should deploy TAG on a new Ubuntu 14.04 vm. #---------------------------------------------------------------- NCORES=8 export MAKE="/usr/bin/make -j $(( $NCORES+1 ))" CODENAME=`lsb_release -c | sed -e "s/Codename:\t//"` ### P...
XSEDEScienceGateways/textgateway
inst/deploy/bootstrap/deploy.sh
Shell
agpl-3.0
1,551
#!/usr/bin/env bash set -e -x source bosh-cpi-release/ci/tasks/utils.sh cd bosh-cpi-release source /etc/profile.d/chruby.sh chruby 2.1.2 set +x echo creating config/private.yml with blobstore secrets cat > config/private.yml << EOF --- blobstore: s3: access_key_id: $aws_access_key_id secret_access_key: $...
sedouard/bosh-aws-cpi-release
ci/tasks/promote-candidate.sh
Shell
apache-2.0
754
#!/bin/sh sleep 0.8 ./resource_client 127.0.0.1 2048 0 2800 1 20 & sleep 1.2 ./resource_client 127.0.0.1 2048 0 2300 1 25 & sleep 1.0 ./resource_client 127.0.0.1 2048 0 1800 1 30 & sleep 0.7 ./resource_client 127.0.0.1 2048 0 1300 1 35 & sleep 1.4 ./resource_client 127.0.0.1 2048 0 800 1 60 &
minjinsong/libcoap-code
resource8/scritps/start_reqresp_10.sh
Shell
bsd-2-clause
300
#!/bin/sh url="https://github.com/MailCore/mailcore2-deps" url_prefix="$url/raw/master" if test x$1 != xskipprebuilt ; then file_timestamp=0 if test -f prebuilt.list ; then file_timestamp=`stat -f '%m' prebuilt.list` fi timestamp=`ruby -e 'puts Time.now.to_i'` age=$((($timestamp-$file_timestamp)/3600)) ...
rlaferla/mailcore2
scripts/get-prebuilt.sh
Shell
bsd-3-clause
1,269
#!/bin/sh set -e mkdir -p "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}" RESOURCES_TO_COPY=${PODS_ROOT}/resources-to-copy-${TARGETNAME}.txt > "$RESOURCES_TO_COPY" XCASSET_FILES=() case "${TARGETED_DEVICE_FAMILY}" in 1,2) TARGET_DEVICE_ARGS="--target-device ipad --target-device iphone" ;; 1) ...
zhangpoor/MyExercise
ZP_Base/Pods/Target Support Files/Pods-SwiftExs/Pods-SwiftExs-resources.sh
Shell
mit
5,351
#!/bin/sh # Copyright (C) 1999-2006 ImageMagick Studio LLC # # This program is covered by multiple licenses, which are described in # LICENSE. You should have received a copy of LICENSE with this # package; otherwise see http://www.imagemagick.org/script/license.php. . ${srcdir}/tests/common.shi ${RUNENV} ${MEMCHECK} ...
ipwndev/DSLinux-Mirror
user/imagemagick/src/tests/rwfile_VIFF_truecolor10.sh
Shell
gpl-2.0
366
# Set the different path for this activity # This is sourced by runit.sh path=$1 activity=enumerate plugindir=$path/.libs pythonplugindir=$path resourcedir=$path/resources section="/math/numeration"
keshashah/GCompris
src/enumerate-activity/init_path.sh
Shell
gpl-2.0
200
#Aqueduct - Compliance Remediation Content #Copyright (C) 2011,2012 Vincent C. Passaro (vincent.passaro@gmail.com) # #This program is free software; you can redistribute it and/or #modify it under the terms of the GNU General Public License #as published by the Free Software Foundation; either version 2 #of the Licens...
quark-pat/CLIP
packages/aqueduct/aqueduct/compliance/Bash/STIG/rhel-5-beta/prod/GEN000900.sh
Shell
apache-2.0
3,694
#!/bin/bash # This file contains some utilities to test the the .deb/.rpm # packages and the SysV/Systemd scripts. # WARNING: This testing file must be executed as root and can # dramatically change your system. It should only be executed # in a throw-away VM like those made by the Vagrantfile at # the root of the El...
sneivandt/elasticsearch
qa/vagrant/src/test/resources/packaging/utils/utils.bash
Shell
apache-2.0
16,088
source ../testsupport.sh run grep -q "Stage hello" test.out || err "Failed to find expected stage hello" true
vivovip/bpipe
tests/parallel_only/run.sh
Shell
bsd-3-clause
113
#!/bin/sh dir=$(cd `dirname $0` && pwd) $dir/../vendor/bin/tester -p php -c $dir/php.ini $@
Scalesoft/nextras-forms
tests/run.sh
Shell
mit
92
#!/bin/bash FN="TxDb.Athaliana.BioMart.plantsmart25_3.1.3.tar.gz" URLS=( "https://bioconductor.org/packages/3.13/data/annotation/src/contrib/TxDb.Athaliana.BioMart.plantsmart25_3.1.3.tar.gz" "https://bioarchive.galaxyproject.org/TxDb.Athaliana.BioMart.plantsmart25_3.1.3.tar.gz" "https://depot.galaxyproject.org/so...
phac-nml/bioconda-recipes
recipes/bioconductor-txdb.athaliana.biomart.plantsmart25/post-link.sh
Shell
mit
1,587
#!/bin/sh # $1: type. # echo "This is a script to get the modem status." act_node1="usb_modem_act_int" act_node2="usb_modem_act_bulk" modem_vid=`nvram get usb_modem_act_vid` modem_pid=`nvram get usb_modem_act_pid` modem_dev=`nvram get usb_modem_act_dev` sim_order=`nvram get modem_sim_order` at_lock="flock -x /tmp/at...
wkritzinger/asuswrt-merlin
release/src/router/rom/apps_scripts/modem_status.sh
Shell
gpl-2.0
24,457
#!/bin/sh # # Copyright (c) 2005 Amos Waterland # test_description='git rebase assorted tests This test runs git rebase and checks that the author information is not lost among other things. ' . ./test-lib.sh GIT_AUTHOR_NAME=author@name GIT_AUTHOR_EMAIL=bogus@email@address export GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL te...
qsnake/git
t/t3400-rebase.sh
Shell
gpl-2.0
5,569
#!/bin/sh LOPTIONS="-no-obsolete -locations none -source-language en" lupdate=lupdate if which -s lupdate-qt4; then lupdate=lupdate-qt4 fi lupdate="${lupdate} ${LOPTIONS}" ${lupdate} ../utils/utils.pro ${lupdate} ../loader/loader.pro find ../plugins -name '*.pro' -exec ${lupdate} {} \;
sanchay160887/vacuum-im
src/translations/tsupdate.sh
Shell
gpl-3.0
292
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you ...
Digsolab/kafka_2.10
bin/kafka-consumer-perf-test.sh
Shell
apache-2.0
862
#!/bin/bash -e # This is useful so we can debug containers running inside of OpenShift that are # failing to start properly. if [ "$OO_PAUSE_ON_START" = "true" ] ; then echo echo "This container's startup has been paused indefinitely because OO_PAUSE_ON_START has been set." echo while sleep 10; do true d...
blrm/openshift-tools
docker/oso-host-monitoring/src/start.sh
Shell
apache-2.0
1,514
#!/bin/bash set -e source $(dirname $0)/common.sh pushd git-repo > /dev/null if [[ -d /opt/openjdk-toolchain ]]; then ./gradlew -Dorg.gradle.internal.launcher.welcomeMessageEnabled=false --no-daemon --max-workers=4 systemTest -PtoolchainVersion=${TOOLCHAIN_JAVA_VERSION} -Porg.gradle.java.installations.auto-detect=f...
spring-projects/spring-boot
ci/scripts/run-system-tests.sh
Shell
apache-2.0
574
#!/usr/bin/env bash which register-python-argcomplete > /dev/null \ && eval "$(register-python-argcomplete conda)" \ || echo "Please install argcomplete to use conda completion"
moraleida/dotfiles
home/.bash_it/completion/available/conda.completion.bash
Shell
gpl-2.0
182
#!/bin/bash export JAVA_HOME=$JAVA_HOME_1_6 rm -rf output mkdir output mvn clean package -Dmaven.test.skip=true cd target unzip -o heisenberg-server-1.0.3.2.zip cd heisenberg-server-1.0.3.2 tar czf heisenberg-server.tgz * cd ../../ cp target/heisenberg-server-1.0.3.2/heisenberg-server.tgz output/
ccvcd/heisenberg
build.sh
Shell
apache-2.0
302
#!/bin/bash -e # -*- Mode: Shell-script; tab-width: 4; indent-tabs-mode: nil; -*- # ***** BEGIN LICENSE BLOCK ***** # Version: MPL 1.1/GPL 2.0/LGPL 2.1 # # The contents of this file are subject to the Mozilla Public License Version # 1.1 (the "License"); you may not use this file except in compliance with # the Licens...
glycerine/vj
src/js-1.8.5/js/src/tests/process-logs.sh
Shell
apache-2.0
6,540
#!/bin/bash # # GNU/Linux build script for ProGuard. # # Configuration. # ANT_HOME=${ANT_HOME:-/usr/local/java/ant} WTK_HOME=${WTK_HOME:-/usr/local/java/wtk} if [ -z $PROGUARD_HOME ]; then PROGUARD_HOME=$(which "$0") PROGUARD_HOME=$(dirname "$0")/.. fi cd "$PROGUARD_HOME" SRC=src CLASSES=classes LIB=lib PROGU...
Fellowzdoomer/halfnes
proguard4.7/build/build.sh
Shell
gpl-3.0
2,051
#!/bin/bash test -z "$(goimports -d .)" if [[ -n "$(gofmt -s -l .)" ]]; then echo -e '\e[31mCode not gofmt simplified in:\n\n' gofmt -s -l . echo -e "\e[0" fi
mkumatag/origin
vendor/gonum.org/v1/gonum/.travis/script.d/check-formatting.sh
Shell
apache-2.0
163
#!/bin/sh ES_CLASSPATH=$ES_CLASSPATH:$ES_HOME/lib/elasticsearch-1.0.0.jar:$ES_HOME/lib/*:$ES_HOME/lib/sigar/* if [ "x$ES_MIN_MEM" = "x" ]; then ES_MIN_MEM=256m fi if [ "x$ES_MAX_MEM" = "x" ]; then ES_MAX_MEM=1g fi if [ "x$ES_HEAP_SIZE" != "x" ]; then ES_MIN_MEM=$ES_HEAP_SIZE ES_MAX_MEM=$ES_HEAP_SIZE f...
wenzhucjy/elasticsearch-rtf
bin/elasticsearch.in.sh
Shell
apache-2.0
2,022
#!/bin/bash DEPLOY_SCRIPT=/data/bedrock/deploy WORKING_DIR=/data/bedrock/src/www.mozilla.org-django/bedrock SITE_NAME=www.mozilla.org PYTHON=../venv/bin/python PD_PATH=lib/product_details_json cd $WORKING_DIR $PYTHON manage.py update_product_details $DEPLOY_SCRIPT -q "${SITE_NAME}-django/bedrock/$PD_PATH" exit 0
petabyte/bedrock
bin/update-scripts/prod/update-prod-product-details.sh
Shell
mpl-2.0
316
#!/bin/sh . "${TEST_SCRIPTS_DIR}/unit.sh" define_test "Memory check, good situation, all memory checks enabled" setup_memcheck CTDB_MONITOR_MEMORY_USAGE="80:90" CTDB_MONITOR_SWAP_USAGE="1:50" ok_null simple_test
SVoxel/R7800
git_home/samba.git/ctdb/tests/eventscripts/05.system.monitor.012.sh
Shell
gpl-2.0
218
#!/bin/sh # # Copyright (c) 2005, 2008, Oracle and/or its affiliates. All rights reserved. # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER. # # This code is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License version 2 only, as # published by the F...
md-5/jdk10
test/jdk/sun/tools/jrunscript/jrunscript-DTest.sh
Shell
gpl-2.0
1,808
#!/bin/bash export CFLAGS="-I$PREFIX/include" export LDFLAGS="-L$PREFIX/lib" export C_INCLUDE_PATH=${PREFIX}/include CYTHONIZE=1 $PYTHON setup.py install --single-version-externally-managed --record=record.txt
ostrokach/bioconda-recipes
recipes/cyvcf2/build.sh
Shell
mit
210
#!/bin/sh echo stdOut: first line echo stdOut: second line echo stdErr: first line 1>&2 echo stdErr: second line 1>&2
mzcity123/sonar-runner
sonar-runner-api/src/test/scripts/output.sh
Shell
lgpl-3.0
119
#/usr/bin/env bash metaphlan_hclust_heatmap.py \ --in test-data/merged_community_profile.tabular \ --out test-data/heatmap.png \ -m 'average' \ -d 'braycurtis' \ -f 'correlation' \ --minv '0' \ --tax_lev 'a' \ --sdend_h '0.1' \ --fdend_w '0.1' \ --cm_h '0.03' \ --font_size '...
lparsons/tools-iuc
tools/metaphlan2/generate_test_data.sh
Shell
mit
1,095
#!/bin/bash set -e pushd $(dirname $0) &>/dev/null scriptdir=$PWD popd &>/dev/null tokudbdir=$(dirname $scriptdir) cd $tokudbdir if [ ! -d build ] ; then mkdir build pushd build CC=gcc47 CXX=g++47 cmake \ -D CMAKE_BUILD_TYPE=Release \ -D USE_VALGRIND=ON \ -D TOKU_DEBUG_PARANOID=O...
ottok/mariadb-galera-10.0
storage/tokudb/ft-index/scripts/run-nightly-release-tests.bash
Shell
gpl-2.0
950
#!/bin/bash echo swig -python wolfssl.i pythonIncludes=`python-config --includes` pythonLibs=`python-config --libs` gcc -c -fpic wolfssl_wrap.c -I$pythonIncludes gcc -c -fpic wolfssl_adds.c gcc -shared -flat_namespace wolfssl_adds.o wolfssl_wrap.o -lwolfssl $pythonLibs -o _wolfssl.so python runme.py
yashdsaraf/bb-bot
wolfssl/swig/PythonBuild.sh
Shell
gpl-3.0
304
# Licensed to the Apache Software Foundation (ASF) under one or more # contributor license agreements. See the NOTICE file distributed with # this work for additional information regarding copyright ownership. # The ASF licenses this file to You under the Apache License, Version 2.0 # (the "License"); you may not use ...
keedio/buildoopRecipes
hadoop/hadoop-2.2.0/rpm/sources/hadoop-layout.sh
Shell
apache-2.0
1,373
#!/bin/bash set -eu -o pipefail gunzip -v *.gz mkdir -p "$PREFIX/bin" cp asn2gb* $PREFIX/bin/asn2gb chmod +x $PREFIX/bin/asn2gb
blankenberg/bioconda-recipes
recipes/asn2gb/build.sh
Shell
mit
130
#!/bin/bash # Copyright 2016 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
raffaelespazzoli/origin
vendor/k8s.io/kubernetes/cluster/gce/container-linux/master-helper.sh
Shell
apache-2.0
5,008
#!/bin/sh test_description="Test whether cache-tree is properly updated Tests whether various commands properly update and/or rewrite the cache-tree extension. " . ./test-lib.sh cmp_cache_tree () { test-dump-cache-tree | sed -e '/#(ref)/d' >actual && sed "s/$_x40/SHA/" <actual >filtered && test_cmp "$1" filtered...
teh/git
t/t0090-cache-tree.sh
Shell
gpl-2.0
5,090
#/bin/sh # # Run this script in a directory with a working makefile to check for # compiler warnings in SQLite. # rm -f sqlite3.c make sqlite3.c echo '********** No optimizations. Includes FTS4 and RTREE *********' gcc -c -Wshadow -Wall -Wextra -pedantic-errors -Wno-long-long -std=c89 \ -ansi -DHAVE_STDINT_H -D...
hongbinz/sqlcipher
tool/warnings.sh
Shell
bsd-3-clause
834